Bug 1820438 - opm of release-4.5 can not export index image when it is refresh with additive bundle because of no index.db in index image
Summary: opm of release-4.5 can not export index image when it is refresh with additiv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: ---
: 4.5.0
Assignee: Kevin Rizza
QA Contact: kuiwang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-03 05:32 UTC by kuiwang
Modified: 2020-08-04 18:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-04 18:07:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 298 0 None closed Bug 1820438: Slim down upstream builder 2020-10-29 08:10:21 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-08-04 18:07:37 UTC

Comment 1 Kevin Rizza 2020-04-24 14:15:20 UTC
Hi Kui,

The latest state of this is: the open pull request on this bug is actually to resolve the sizing problem. Once it merges and a new registry image is built you should see the images get closer in size to what they were in 4.4.

FYI you can try the 4.4 -> 4.5 index add again, because that was fixed before this bug was ever triaged here (was an issue with db migration in master before 4.5 was in feature freeze). Can you try again to confirm?

Comment 5 kuiwang 2020-04-26 06:13:25 UTC
the bug is verified with opm4.5. (note: during verfication, we find one bug of opm4.4 which is tracked with https://bugzilla.redhat.com/show_bug.cgi?id=1827979)
1, the index image is 57M
2, can export index content
LGTM


--
build opm with commit 9c116737f58634563c4824c08db94edcec115cd9
--
the detailed:
[root@preserve-olm-env etcd]# docker image ls
REPOSITORY           TAG                 IMAGE ID            CREATED             SIZE
docker.io/registry   latest              708bc6af7e5e        3 months ago        25.8 MB
[root@preserve-olm-env etcd]# opm alpha bundle build -d /root/kuiwang/community-operators/community-operators/etcd/0.9.0 -t quay.io/kuiwang/etcd-bundle:0.9.0 -c alpha -p etcd
INFO[0000] Building annotations.yaml                    
INFO[0000] Building Dockerfile                          
INFO[0000] Building bundle image                        
Sending build context to Docker daemon 132.6 kB
Step 1/9 : FROM scratch
 ---> 
Step 2/9 : LABEL operators.operatorframework.io.bundle.mediatype.v1 registry+v1
 ---> Running in f8a2311a4605
 ---> e5f02b0c3230
Removing intermediate container f8a2311a4605
Step 3/9 : LABEL operators.operatorframework.io.bundle.manifests.v1 manifests/
 ---> Running in 5e512d746ca1
 ---> fb0fcefdd450
Removing intermediate container 5e512d746ca1
Step 4/9 : LABEL operators.operatorframework.io.bundle.metadata.v1 metadata/
 ---> Running in e57ac0a9a044
 ---> 02faf496a782
Removing intermediate container e57ac0a9a044
Step 5/9 : LABEL operators.operatorframework.io.bundle.package.v1 etcd
 ---> Running in fcf1c4a4aa92
 ---> a0d78c50df09
Removing intermediate container fcf1c4a4aa92
Step 6/9 : LABEL operators.operatorframework.io.bundle.channels.v1 alpha
 ---> Running in 354afa5a6be9
 ---> 0f0c6e617572
Removing intermediate container 354afa5a6be9
Step 7/9 : LABEL operators.operatorframework.io.bundle.channel.default.v1 alpha
 ---> Running in 9b1853eea361
 ---> 12908a6ca972
Removing intermediate container 9b1853eea361
Step 8/9 : COPY 0.9.0 /manifests/
 ---> 494d80b410a5
Removing intermediate container 4d655756c945
Step 9/9 : COPY metadata /metadata/
 ---> b36b1db56094
Removing intermediate container 429880aea903
Successfully built b36b1db56094
[root@preserve-olm-env etcd]# cat bundle.Dockerfile 
FROM scratch

LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
LABEL operators.operatorframework.io.bundle.package.v1=etcd
LABEL operators.operatorframework.io.bundle.channels.v1=alpha
LABEL operators.operatorframework.io.bundle.channel.default.v1=alpha

COPY 0.9.0 /manifests/
COPY metadata /metadata/
[root@preserve-olm-env etcd]# cat metadata/annotations.yaml 
annotations:
  operators.operatorframework.io.bundle.channel.default.v1: alpha
  operators.operatorframework.io.bundle.channels.v1: alpha
  operators.operatorframework.io.bundle.manifests.v1: manifests/
  operators.operatorframework.io.bundle.mediatype.v1: registry+v1
  operators.operatorframework.io.bundle.metadata.v1: metadata/
  operators.operatorframework.io.bundle.package.v1: etcd
[root@preserve-olm-env etcd]# docker image ls
REPOSITORY                    TAG                 IMAGE ID            CREATED             SIZE
quay.io/kuiwang/etcd-bundle   0.9.0               b36b1db56094        32 seconds ago      18.4 kB
docker.io/registry            latest              708bc6af7e5e        3 months ago        25.8 MB
[root@preserve-olm-env etcd]# docker push quay.io/kuiwang/etcd-bundle:0.9.0
The push refers to a repository [quay.io/kuiwang/etcd-bundle]
08c293fee97f: Pushed 
b78a6f772ce1: Pushed 
0.9.0: digest: sha256:af47d888264cc9930f9b683357e43912b0ed68bc7b0305e1d1aabdb4362ae4cf size: 732
[root@preserve-olm-env etcd]# rm -fr bundle.Dockerfile metadata/
[root@preserve-olm-env etcd]# opm alpha bundle build -d /root/kuiwang/community-operators/community-operators/etcd/0.9.2 -t quay.io/kuiwang/etcd-bundle:0.9.2 -c alpha -p etcd
INFO[0000] Building annotations.yaml                    
INFO[0000] Building Dockerfile                          
INFO[0000] Building bundle image                        
Sending build context to Docker daemon 132.6 kB
Step 1/9 : FROM scratch
 ---> 
Step 2/9 : LABEL operators.operatorframework.io.bundle.mediatype.v1 registry+v1
 ---> Using cache
 ---> e5f02b0c3230
Step 3/9 : LABEL operators.operatorframework.io.bundle.manifests.v1 manifests/
 ---> Using cache
 ---> fb0fcefdd450
Step 4/9 : LABEL operators.operatorframework.io.bundle.metadata.v1 metadata/
 ---> Using cache
 ---> 02faf496a782
Step 5/9 : LABEL operators.operatorframework.io.bundle.package.v1 etcd
 ---> Using cache
 ---> a0d78c50df09
Step 6/9 : LABEL operators.operatorframework.io.bundle.channels.v1 alpha
 ---> Using cache
 ---> 0f0c6e617572
Step 7/9 : LABEL operators.operatorframework.io.bundle.channel.default.v1 alpha
 ---> Using cache
 ---> 12908a6ca972
Step 8/9 : COPY 0.9.2 /manifests/
 ---> 0ed633b4acd7
Removing intermediate container 6c66eaec4f72
Step 9/9 : COPY metadata /metadata/
 ---> 01997b39479b
Removing intermediate container b721d8837e74
Successfully built 01997b39479b
[root@preserve-olm-env etcd]# cat bundle.Dockerfile
FROM scratch

LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
LABEL operators.operatorframework.io.bundle.package.v1=etcd
LABEL operators.operatorframework.io.bundle.channels.v1=alpha
LABEL operators.operatorframework.io.bundle.channel.default.v1=alpha

COPY 0.9.2 /manifests/
COPY metadata /metadata/
[root@preserve-olm-env etcd]# cat metadata/annotations.yaml 
annotations:
  operators.operatorframework.io.bundle.channel.default.v1: alpha
  operators.operatorframework.io.bundle.channels.v1: alpha
  operators.operatorframework.io.bundle.manifests.v1: manifests/
  operators.operatorframework.io.bundle.mediatype.v1: registry+v1
  operators.operatorframework.io.bundle.metadata.v1: metadata/
  operators.operatorframework.io.bundle.package.v1: etcd
[root@preserve-olm-env etcd]# docker image ls
REPOSITORY                    TAG                 IMAGE ID            CREATED             SIZE
quay.io/kuiwang/etcd-bundle   0.9.2               01997b39479b        35 seconds ago      19.7 kB
quay.io/kuiwang/etcd-bundle   0.9.0               b36b1db56094        3 minutes ago       18.4 kB
docker.io/registry            latest              708bc6af7e5e        3 months ago        25.8 MB
[root@preserve-olm-env etcd]# docker push quay.io/kuiwang/etcd-bundle:0.9.2
The push refers to a repository [quay.io/kuiwang/etcd-bundle]
6d3092a11c3d: Pushed 
14bb62436bd9: Pushed 
0.9.2: digest: sha256:53577da120fe685640c3fb66d52cddba0018ccc229026d91592f3d6df8d1b710 size: 732
[root@preserve-olm-env etcd]# rm -fr bundle.Dockerfile metadata/
[root@preserve-olm-env etcd]# opm index add -b quay.io/kuiwang/etcd-bundle:0.9.0 -t quay.io/kuiwang/etcd-index:0.9.0 -c docker
INFO[0000] building the index                            bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0001] running docker save                           bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0001] Could not find dependencies file              dir=bundle_tmp795962059 file=bundle_tmp795962059/metadata load=annotations
INFO[0001] skipping hidden file                          dir=bundle_tmp795962059 file=.wh..wh..opq find=csv
INFO[0001] found csv, loading bundle                     dir=bundle_tmp795962059 file=bundle_tmp795962059/manifests load=bundle
INFO[0001] skipping hidden file                          dir=bundle_tmp795962059/manifests file=.wh..wh..opq load=bundle
INFO[0001] loading bundle file                           dir=bundle_tmp795962059/manifests file=etcdbackups.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0001] loading bundle file                           dir=bundle_tmp795962059/manifests file=etcdclusters.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0001] loading bundle file                           dir=bundle_tmp795962059/manifests file=etcdoperator.v0.9.0.clusterserviceversion.yaml load=bundle
INFO[0001] loading bundle file                           dir=bundle_tmp795962059/manifests file=etcdrestores.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0001] Generating dockerfile                         bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0001] writing dockerfile: index.Dockerfile556515185  bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0001] running docker build                          bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
INFO[0001] [docker build -f index.Dockerfile556515185 -t quay.io/kuiwang/etcd-index:0.9.0 .]  bundles="[quay.io/kuiwang/etcd-bundle:0.9.0]"
[root@preserve-olm-env etcd]# docker push quay.io/kuiwang/etcd-index:0.9.0
The push refers to a repository [quay.io/kuiwang/etcd-index]
36cc6970ea37: Pushed 
8cdc0b69e6f5: Mounted from operator-framework/upstream-opm-builder 
c5129eddb873: Mounted from operator-framework/upstream-opm-builder 
0.9.0: digest: sha256:ca2f5b200e55a30ee5a33e506911c84d56d8b2e40d4991bf02d0302e9b8528b1 size: 949
[root@preserve-olm-env etcd]# docker image ls
REPOSITORY                                        TAG                 IMAGE ID            CREATED             SIZE
quay.io/kuiwang/etcd-index                        0.9.0               d96e68f694f2        56 seconds ago      57 MB
quay.io/kuiwang/etcd-bundle                       0.9.2               01997b39479b        3 minutes ago       19.7 kB
quay.io/kuiwang/etcd-bundle                       0.9.0               b36b1db56094        6 minutes ago       18.4 kB
quay.io/operator-framework/upstream-opm-builder   latest              726a85bc79ca        13 hours ago        56.8 MB
docker.io/registry                                latest              708bc6af7e5e        3 months ago        25.8 MB
[root@preserve-olm-env etcd]# opm index export -i quay.io/kuiwang/etcd-index:0.9.0 -c docker -o etcd
INFO[0000] export from the index                         index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0000] Pulling previous image quay.io/kuiwang/etcd-index:0.9.0 to get metadata  index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0001] Getting label data from previous image        index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0001] running docker inspect                        index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0001] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0001] running docker save                           index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0002] Preparing to pull bundles ["quay.io/kuiwang/etcd-bundle:0.9.0"]  index="quay.io/kuiwang/etcd-index:0.9.0" package=etcd
INFO[0002] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  img="quay.io/kuiwang/etcd-bundle:0.9.0"
INFO[0003] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  img="quay.io/kuiwang/etcd-bundle:0.9.0"
INFO[0003] running docker save                           img="quay.io/kuiwang/etcd-bundle:0.9.0"
[root@preserve-olm-env etcd]# ls
0.6.1  0.9.0  0.9.2  0.9.2-clusterwide  0.9.4  0.9.4-clusterwide  downloaded  etcd.package.yaml
[root@preserve-olm-env etcd]# tree downloaded/
downloaded/
|-- 0.9.0
|   |-- etcdbackups.etcd.database.coreos.com.crd.yaml
|   |-- etcdclusters.etcd.database.coreos.com.crd.yaml
|   |-- etcdoperator.v0.9.0.clusterserviceversion.yaml
|   `-- etcdrestores.etcd.database.coreos.com.crd.yaml
`-- package.yaml

1 directory, 5 files
[root@preserve-olm-env etcd]# rm -fr downloaded/
[root@preserve-olm-env etcd]# opm index add -b quay.io/kuiwang/etcd-bundle:0.9.2 -f quay.io/kuiwang/etcd-index:0.9.0 -t quay.io/kuiwang/etcd-index:0.9.2 -c docker
INFO[0000] building the index                            bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0000] Pulling previous image quay.io/kuiwang/etcd-index:0.9.0 to get metadata  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0001] Getting label data from previous image        bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0001] running docker inspect                        bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0001] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.0  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0001] running docker save                           bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0002] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.2  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.2  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] running docker save                           bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] Could not find dependencies file              dir=bundle_tmp149611376 file=bundle_tmp149611376/metadata load=annotations
INFO[0003] skipping hidden file                          dir=bundle_tmp149611376 file=.wh..wh..opq find=csv
INFO[0003] found csv, loading bundle                     dir=bundle_tmp149611376 file=bundle_tmp149611376/manifests load=bundle
INFO[0003] skipping hidden file                          dir=bundle_tmp149611376/manifests file=.wh..wh..opq load=bundle
INFO[0003] loading bundle file                           dir=bundle_tmp149611376/manifests file=etcdbackups.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0003] loading bundle file                           dir=bundle_tmp149611376/manifests file=etcdclusters.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0003] loading bundle file                           dir=bundle_tmp149611376/manifests file=etcdoperator.v0.9.2.clusterserviceversion.yaml load=bundle
INFO[0003] loading bundle file                           dir=bundle_tmp149611376/manifests file=etcdrestores.etcd.database.coreos.com.crd.yaml load=bundle
INFO[0003] Generating dockerfile                         bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] writing dockerfile: index.Dockerfile951627691  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] running docker build                          bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
INFO[0003] [docker build -f index.Dockerfile951627691 -t quay.io/kuiwang/etcd-index:0.9.2 .]  bundles="[quay.io/kuiwang/etcd-bundle:0.9.2]"
[root@preserve-olm-env etcd]# docker image ls
REPOSITORY                                        TAG                 IMAGE ID            CREATED             SIZE
quay.io/kuiwang/etcd-index                        0.9.2               ce07ef3f2018        16 seconds ago      57 MB
quay.io/kuiwang/etcd-index                        0.9.0               d96e68f694f2        7 minutes ago       57 MB
quay.io/kuiwang/etcd-bundle                       0.9.2               01997b39479b        10 minutes ago      19.7 kB
quay.io/kuiwang/etcd-bundle                       0.9.0               b36b1db56094        13 minutes ago      18.4 kB
quay.io/operator-framework/upstream-opm-builder   latest              726a85bc79ca        14 hours ago        56.8 MB
docker.io/registry                                latest              708bc6af7e5e        3 months ago        25.8 MB
[root@preserve-olm-env etcd]# ls
0.6.1  0.9.0  0.9.2  0.9.2-clusterwide  0.9.4  0.9.4-clusterwide  etcd.package.yaml
[root@preserve-olm-env etcd]# docker push quay.io/kuiwang/etcd-index:0.9.2
The push refers to a repository [quay.io/kuiwang/etcd-index]
b99fb4253b44: Pushed 
8cdc0b69e6f5: Layer already exists 
c5129eddb873: Layer already exists 
0.9.2: digest: sha256:38ec54d4bd481f62fcb872f9ad763b551123ed711cb2954cad102ada1ad623aa size: 949
[root@preserve-olm-env etcd]# ls
0.6.1  0.9.0  0.9.2  0.9.2-clusterwide  0.9.4  0.9.4-clusterwide  etcd.package.yaml
[root@preserve-olm-env etcd]# opm index export -i quay.io/kuiwang/etcd-index:0.9.2 -c docker -o etcd
INFO[0000] export from the index                         index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0000] Pulling previous image quay.io/kuiwang/etcd-index:0.9.2 to get metadata  index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.2  index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.2  index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0001] Getting label data from previous image        index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0001] running docker inspect                        index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0001] running /usr/bin/docker pull quay.io/kuiwang/etcd-index:0.9.2  index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0001] running docker save                           index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0002] Preparing to pull bundles ["quay.io/kuiwang/etcd-bundle:0.9.2" "quay.io/kuiwang/etcd-bundle:0.9.0"]  index="quay.io/kuiwang/etcd-index:0.9.2" package=etcd
INFO[0002] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.2  img="quay.io/kuiwang/etcd-bundle:0.9.2"
INFO[0002] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.2  img="quay.io/kuiwang/etcd-bundle:0.9.2"
INFO[0003] running docker save                           img="quay.io/kuiwang/etcd-bundle:0.9.2"
INFO[0003] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  img="quay.io/kuiwang/etcd-bundle:0.9.0"
INFO[0004] running /usr/bin/docker pull quay.io/kuiwang/etcd-bundle:0.9.0  img="quay.io/kuiwang/etcd-bundle:0.9.0"
INFO[0004] running docker save                           img="quay.io/kuiwang/etcd-bundle:0.9.0"
[root@preserve-olm-env etcd]# tree downloaded/
downloaded/
|-- 0.9.0
|   |-- etcdbackups.etcd.database.coreos.com.crd.yaml
|   |-- etcdclusters.etcd.database.coreos.com.crd.yaml
|   |-- etcdoperator.v0.9.0.clusterserviceversion.yaml
|   `-- etcdrestores.etcd.database.coreos.com.crd.yaml
|-- 0.9.2
|   |-- etcdbackups.etcd.database.coreos.com.crd.yaml
|   |-- etcdclusters.etcd.database.coreos.com.crd.yaml
|   |-- etcdoperator.v0.9.2.clusterserviceversion.yaml
|   `-- etcdrestores.etcd.database.coreos.com.crd.yaml
`-- package.yaml

2 directories, 9 files
[root@preserve-olm-env etcd]# rm -fr downloaded/

Comment 7 errata-xmlrpc 2020-08-04 18:07:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.